Loading...
Searching...
No Matches
pcl::tracking::ParticleXYR Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::ParticleXYR:

## Public Member Functions

| ParticleXYR ()
| ParticleXYR (float _x, float, float _z)
| ParticleXYR (float _x, float, float _z, float, float _pitch, float)
void | sample (const std::vector< double > &mean, const std::vector< double > &cov)
void | zero ()
Eigen::Affine3f | toEigenMatrix () const
float | operator[] (unsigned int i)

## Static Public Member Functions

static int | stateDimension ()
static ParticleXYR | toState (const Eigen::Affine3f &trans)
template<class InputIterator >
static ParticleXYR | weightedAverage (InputIterator first, InputIterator last)

## Additional Inherited Members

Public Attributes inherited from pcl::tracking::_ParticleXYR
union { |
struct { |
float roll |
float pitch |
float yaw |
float weight |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 813 of file tracking.hpp.

## Constructor & Destructor Documentation

## ParticleXYR() [1/3]

pcl::tracking::ParticleXYR::ParticleXYR | ( |  | ) |

inline

Definition at line 814 of file tracking.hpp.

## ParticleXYR() [2/3]

pcl::tracking::ParticleXYR::ParticleXYR | ( | float | _x,
|  | float | ,
|  | float | _z
| ) |  |

inline

Definition at line 820 of file tracking.hpp.

## ParticleXYR() [3/3]

pcl::tracking::ParticleXYR::ParticleXYR | ( | float | _x,
|  | float | ,
|  | float | _z,
|  | float | ,
|  | float | _pitch,
|  | float |
| ) |  |

inline

Definition at line 829 of file tracking.hpp.

## Member Function Documentation

## operator[]()

float pcl::tracking::ParticleXYR::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 903 of file tracking.hpp.

## sample()

void pcl::tracking::ParticleXYR::sample | ( | const std::vector< double > & | mean,
|  | const std::vector< double > & | cov
| ) |  |

inline

Definition at line 847 of file tracking.hpp.

References pcl::tracking::sampleNormal().

## stateDimension()

static int pcl::tracking::ParticleXYR::stateDimension | ( |  | ) |

inline static

Definition at line 841 of file tracking.hpp.

## toEigenMatrix()

Eigen::Affine3f pcl::tracking::ParticleXYR::toEigenMatrix | ( |  | ) | const

inline

Definition at line 869 of file tracking.hpp.

References pcl::getTransformation().

## toState()

static ParticleXYR pcl::tracking::ParticleXYR::toState | ( | const Eigen::Affine3f & | trans | ) |

inline static

Definition at line 875 of file tracking.hpp.

References pcl::getTranslationAndEulerAngles().

## weightedAverage()

template<class InputIterator >

static ParticleXYR pcl::tracking::ParticleXYR::weightedAverage | ( | InputIterator | first,
|  | InputIterator | last
| ) |  |

inline static

Definition at line 885 of file tracking.hpp.

References pcl::tracking::_ParticleXYR::pitch, pcl::tracking::_ParticleXYR::roll, pcl::tracking::_ParticleXYR::weight, and pcl::tracking::_ParticleXYR::yaw.

## zero()

void pcl::tracking::ParticleXYR::zero | ( |  | ) |

inline

Definition at line 858 of file tracking.hpp.

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp